Bug 1352125 - Error: quota context not set inode (gfid:nnn) [Invalid argument]
Summary: Error: quota context not set inode (gfid:nnn) [Invalid argument]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: quota
Version: rhgs-3.1
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: RHGS 3.2.0
Assignee: Raghavendra G
QA Contact: Anil Shah
URL:
Whiteboard:
Depends On: 1357463 1368927
Blocks: 1351522
TreeView+ depends on / blocked
 
Reported: 2016-07-01 16:53 UTC by Cal Calhoun
Modified: 2017-03-23 05:38 UTC (History)
6 users (show)

Fixed In Version: glusterfs-3.8.4-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1357463 1368927 (view as bug list)
Environment:
Last Closed: 2017-03-23 05:38:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0486 normal SHIPPED_LIVE Moderate: Red Hat Gluster Storage 3.2.0 security, bug fix, and enhancement update 2017-03-23 09:18:45 UTC

Description Cal Calhoun 2016-07-01 16:53:55 UTC
Description of problem:

Errors showing up in logs:

[2016-06-28 22:47:33.991145] W [MSGID: 120020] [quota.c:2195:quota_unlink_cbk] 0-node: quota context not set inode (gfid:d11ec04e-fb25-4299-9de4-0884d0267b14) [Invalid argument]
[2016-06-29 00:09:00.590358] W [MSGID: 120020] [quota.c:2195:quota_unlink_cbk] 0-node: quota context not set inode (gfid:cab08f89-d642-42a2-9c6c-78ca35d3a017) [Invalid argument]
[2016-06-29 17:45:18.556945] W [MSGID: 120020] [quota.c:2195:quota_unlink_cbk] 0-node: quota context not set inode (gfid:7ee18bb8-293b-44b3-a301-60d8c79a80db) [Invalid argument]
[2016-06-29 17:50:02.427070] W [MSGID: 120020] [quota.c:2195:quota_unlink_cbk] 0-node: quota context not set inode (gfid:6a4c3c9c-2fbb-4780-b24f-e8aae2e76e7a) [Invalid argument]
Version-Release number of selected component (if applicable):

Fresh upgrade to gluster 3.1.3

How reproducible:

Errors show up periodically with quotas enabled.

Comment 2 Manikandan 2016-07-04 04:25:39 UTC
Hi,

Could you please attach the entire logs? Also, when did this happen? Could you specify the operations?

Comment 4 Cal Calhoun 2016-07-08 16:19:11 UTC
A further note, these errors began showing up after an update to RHGS 3.1.3

Comment 6 Atin Mukherjee 2016-08-09 04:23:27 UTC
Upstream mainline patch http://review.gluster.org/#/c/14940 posted for review.

Comment 11 Atin Mukherjee 2016-09-17 13:21:18 UTC
Upstream mainline : http://review.gluster.org/14940
Upstream 3.8 : http://review.gluster.org/15229

And the fix is available in rhgs-3.2.0 as part of rebase to GlusterFS 3.8.4.

Comment 15 Anil Shah 2016-12-05 06:51:31 UTC
Not seeing logs after upgrade to build latest build after enabling and disabling quota.
But verified on build glusterfs-3.8.4-6.el7rhgs.x86_64

Comment 17 errata-xmlrpc 2017-03-23 05:38:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0486.html


Note You need to log in before you can comment on or make changes to this bug.